Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030694
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-08-28 12:532015-09-30 16:35
ReporteregoitzView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision02af2e9e4fd9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030694: The ReportInvoiceDiscountJR report consume many resources when printing big amount of data.

DescriptionWhen executing the report for a period of time where a big amount of data is printed, the report takes long to finish, but could cause also the server to crash due to the high memory usage.
Steps To Reproduce-Execute the report for a period of time where big amount of data is managed by the report
Proposed SolutionUse scrollable results on the _xsql file.
http://wiki.openbravo.com/wiki/SQLC#Scrollable_Queries_.28memory-efficient.29 [^]
24430
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0024430 closededuardo_Argal Openbravo ERP The ReportGeneralLedger report take long to be printed with big amount of data and consumes a lot of resources 
depends on backport 00309923.0PR15Q3.2 closedAtulOpenbravo Openbravo ERP The ReportInvoiceDiscountJR report consume many resources when printing big amount of data. 
related to defect 0031170 closedvmromanos Modules The legacy module depends on a previous release of import data module 

-  Notes
(0079985)
AtulOpenbravo (developer)
2015-09-01 07:47

Test Plan
- Execute the Discount Invoice Report for Start Date: 01/01/2012, End date: Today
(0080024)
hgbot (developer)
2015-09-02 16:53

Repository: erp/devel/pi
Changeset: 02af2e9e4fd936f56595e463855d8076747066c6
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Sep 01 08:41:30 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/02af2e9e4fd936f56595e463855d8076747066c6 [^]

Fixes Issue 30694:The ReportInvoiceDiscountJR report consume many resources
when printing big amount of data.

Scrollable xsql is used to enhance report performance.

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceDiscountJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceDiscount_data.xsql
---
(0080025)
dmiguelez (developer)
2015-09-02 16:53

Code Review + Testing Ok
(0080061)
hudsonbot (developer)
2015-09-03 23:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/772e57843a9e [^]
Maturity status: Test
(0080755)
vmromanos (developer)
2015-09-30 16:34

Set to new again to schedule the backport

- Issue History
Date Modified Username Field Change
2015-08-28 12:53 egoitz New Issue
2015-08-28 12:53 egoitz Assigned To => Triage Finance
2015-08-28 12:53 egoitz Modules => Core
2015-08-28 12:53 egoitz Triggers an Emergency Pack => No
2015-08-28 12:53 egoitz Relationship added related to 0024430
2015-08-31 11:37 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-09-01 07:38 AtulOpenbravo Status new => scheduled
2015-09-01 07:47 AtulOpenbravo Note Added: 0079985
2015-09-02 16:53 hgbot Checkin
2015-09-02 16:53 hgbot Note Added: 0080024
2015-09-02 16:53 hgbot Status scheduled => resolved
2015-09-02 16:53 hgbot Resolution open => fixed
2015-09-02 16:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/02af2e9e4fd936f56595e463855d8076747066c6 [^]
2015-09-02 16:53 dmiguelez Review Assigned To => dmiguelez
2015-09-02 16:53 dmiguelez Note Added: 0080025
2015-09-02 16:53 dmiguelez Status resolved => closed
2015-09-03 23:47 hudsonbot Checkin
2015-09-03 23:47 hudsonbot Note Added: 0080061
2015-09-30 16:34 vmromanos Note Added: 0080755
2015-09-30 16:34 vmromanos Status closed => new
2015-09-30 16:34 vmromanos Resolution fixed => open
2015-09-30 16:34 vmromanos Status new => scheduled
2015-09-30 16:35 vmromanos Status scheduled => resolved
2015-09-30 16:35 vmromanos Resolution open => fixed
2015-09-30 16:35 vmromanos Status resolved => closed
2015-11-19 17:16 vmromanos Relationship added related to 0031170


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker